<?php
/**
 * Register `Gallery` post type
 */
function gallery_post_type() {
	
	// gallery Labels
	$gallery_labels = array(
		'name' => __("Gallery", "ngo-charity-pro"),
		'singular_name' => __("Gallery", "ngo-charity-pro"),
		'menu_name' => 'Galleries',
		'add_new' => __("Add New", "ngo-charity-pro"),
		'add_new_item' => __("Add New gallery",'ngo-charity-pro'),
		'edit_item' => __("Edit gallery",'ngo-charity-pro'),
		'new_item' => __("New gallery",'ngo-charity-pro'),
		'view_item' => __("View gallery",'ngo-charity-pro'),
		'search_items' => __("Search gallerys",'ngo-charity-pro'),
		'not_found' =>  __("No gallery Found",'ngo-charity-pro'),
		'not_found_in_trash' => __("No gallery Found in Trash",'ngo-charity-pro'),
		'parent_item_colon' => '',
	);

	// gallery Arguments
	$gallery_args = array(
		'labels' => $gallery_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 8,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-images-alt2',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('gallery_categories','post_tag')
	);
	
	// Register post type
	register_post_type( 'gallery' , $gallery_args );
}

add_action( 'init', 'gallery_post_type');


function gallery_taxonomy() {  
    register_taxonomy(  
        'gallery_categories', 
        'gallery',        //post type name
        array(  
            'hierarchical' => true,  
            'label' => 'Gallery Categories',
            'query_var' => true
        )  
    );  
}  

add_action( 'init', 'gallery_taxonomy');