<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package NGO_Charity
 */

?>

<footer>
	<div class="container">
		<?php if(get_theme_mod('ngo_charity_footer_top_enable')):?>
			<div class="newsletter mgb-md">
				<div class="row">
					<div class="col-lg-6">
						<h2><?php echo esc_html(get_theme_mod('ngo_charity_footer_top_newsletter_title'));?></h2>
						<p><?php echo esc_html(get_theme_mod('ngo_charity_footer_top_newsletter_description'));?></p>
					</div>
					<div class="col-lg-6">
						<?php  echo do_shortcode(get_theme_mod('ngo_charity_top_header_newsletter_shortcode')); ?>
					</div>
				</div>
			</div>
		<?php endif;?>

		<div class="f-middle">
			<div class="row">
				<div class="col-lg-4 col-md-6">
					<?php if ( is_active_sidebar( 'footer-1' ) ) { ?>
						<?php dynamic_sidebar( 'footer-1' );?>
					<?php } ?>
				</div>
				<div class="col-lg-2 col-md-6">
					<?php if ( is_active_sidebar( 'footer-2' ) ) { ?>
						<?php dynamic_sidebar( 'footer-2' );?>
					<?php } ?>
				</div>
				<div class="col-lg-3 col-md-6">
					<?php if ( is_active_sidebar( 'footer-3' ) ) { ?>
						<?php dynamic_sidebar( 'footer-3' );?>
					<?php } ?>
				</div>
				<div class="col-lg-3 col-md-6">
					<?php if ( is_active_sidebar( 'footer-4' ) ) { ?>
						<?php dynamic_sidebar( 'footer-4' );?>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
	<div class="copyright">
		<div class="container">
			<?php if(get_theme_mod('ngo_charity_footer_copyright_text')):?>
				<p><?php echo esc_html(get_theme_mod('ngo_charity_footer_copyright_text'));?></p>
				<?php else:?>
					<p><?php esc_html_e('&copy; All Right Reserved ','social-charity-pro');  echo  esc_html(date('Y'));?></p>
				<?php endif;?>
				<?php if(get_theme_mod('footer_social_media_enable')):?>
					<?php ngo_charity_footer_social_items();?>
				<?php endif;?>
			</div>
		</div>
	</footer>

	<?php wp_footer(); ?>

</body>
</html>
