<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package NGO_Charity
 */

get_header();
?>

<section class="inner-wrapper inner-causesdetail">
	<div class="container">
		<div class="row">
			<div class="col-lg-8">
				<?php
				while ( have_posts() ) :
					the_post();

					get_template_part( 'template-parts/content', 'give-single' );

					the_post_navigation();

						// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
				endif;

					endwhile; // End of the loop.
					?>
					<div class="related-causes related-items mgb-lg">
						<h3 class="mgb-md">Related Causes</h3>
						<div class="row">
							<div class="col-sm-6">
								<div class="c-card">
									<a href="#" class="img-holder">
										<img src="images/c.jpg" alt="">
									</a>
									<div class="card-body">
										<div class="progress">
											<div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100">80%</div>
										</div>
										<h4><a href="#">Clean Water For Children</a></h4>
										<div class="raised-goal">
											<span class="raised">Raised: $1850</span>
											<span class="goal">Goal: $2500</span>
										</div>
										<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pulvinar, ligula quis interdum aliquam, leo velit imperdiet</p>
										<a href="#" class="btn btn-md btn-bordered">Donate Now</a>
									</div>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="c-card">
									<a href="#" class="img-holder">
										<img src="images/c1.jpg" alt="">
									</a>
									<div class="card-body">
										<div class="progress">
											<div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">20%</div>
										</div>
										<h4><a href="#">Good Education</a></h4>
										<div class="raised-goal">
											<span class="raised">Raised: $1850</span>
											<span class="goal">Goal: $2500</span>
										</div>
										<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pulvinar, ligula quis interdum aliquam, leo velit imperdiet</p>
										<a href="#" class="btn btn-md btn-bordered">Donate Now</a>
									</div>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="c-card">
									<a href="#" class="img-holder">
										<img src="images/c2.jpg" alt="">
									</a>
									<div class="card-body">
										<div class="progress">
											<div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" style="width: 40%" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100">40%</div>
										</div>
										<h4><a href="#">New books for children</a></h4>
										<div class="raised-goal">
											<span class="raised">Raised: $1850</span>
											<span class="goal">Goal: $2500</span>
										</div>
										<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pulvinar, ligula quis interdum aliquam, leo velit imperdiet</p>
										<a href="#" class="btn btn-md btn-bordered">Donate Now</a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-lg-4">
					<div class="sidebar">
						<?php get_sidebar();?>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<?php
get_footer();
