<?php 
if(get_theme_mod('ngo_charity_causes_enable')):
  $cause_title = get_theme_mod( 'ngo_charity_causes_text', __( 'Our Causes', 'social-charity-pro' ) );
  ?>
  <section class="causes causes-slider mgb-lg">
    <div class="container">
      <div class="main-title">
        <h2><?php echo esc_html($cause_title);?></h2>
      </div>
      <div class="row">

        <?php  
        if(check_wp_give_plugin_activation()):
          $causes_Category_id =  get_theme_mod('ngo_charity_causes_category_id');
          $causes_number =  get_theme_mod('ngo_charity_causes_number');
          $args = array(
            'post_type' => 'give_forms',
            'posts_per_page' => $causes_number,
            'post_status' => 'publish',
            'paged' => 1,
          );
          $causesloop = new WP_Query($args);

          if ( $causesloop->have_posts() ) :
            while ($causesloop->have_posts()) : $causesloop->the_post(); 
              ?>    
              <div class="col-sm-4">
                <div class="c-card">
                  <?php if(has_post_thumbnail()):?>
                    <a href="<?php the_permalink();?>" class="img-holder">
                      <?php the_post_thumbnail('ngo-charity-causes-image');?>  
                    </a>
                  <?php endif;?>
                  <div class="card-body">
                    <div class="progress">
                      <?php 
                      $goal_stats       = give_goal_progress_stats( get_the_ID() );
                      if($goal_stats['raw_goal'] !=0){
                       $percent_complete = round( ( $goal_stats['raw_actual'] / $goal_stats['raw_goal'] ), 3 ) * 100;
                     }
                     else
                     {
                       $percent_complete = 0;
                     }
                     
                     ?>
                     <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" style="width: <?php echo esc_attr($percent_complete);?>%" aria-valuenow="<?php echo esc_attr($percent_complete);?>" aria-valuemin="0" aria-valuemax="100"><?php echo esc_attr($percent_complete);?>%</div>
                   </div>
                   <h4><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>
                   <div class="raised-goal">
                    <span class="raised"><?php esc_html_e( 'Raised: ', 'social-charity-pro' );?> <?php echo esc_html($goal_stats['actual']);?></span>
                    <span class="goal"><?php esc_html_e( 'Goal: ', 'social-charity-pro' );?> <?php echo esc_html($goal_stats['goal']);?></span>
                  </div>
                  <?php the_excerpt(); ?>
                  <a href="<?php the_permalink();?>" class="btn btn-md btn-bordered"><?php esc_html_e( 'Donate Now!', 'social-charity-pro' );?> </a>
                </div>
              </div>
            </div>
          <?php endwhile;
          wp_reset_postdata();
        endif;
      endif;
      ?>
    </div>
  </div>
</section>
<?php endif;?> 