<?php if(get_theme_mod( 'ngo_charity_events_enable' )):
  $event_title = get_theme_mod( 'ngo_charity_events_text', __( 'Our Events', 'social-charity-pro' ) );
  ?>
  <section class="events mgb-md">
    <div class="container">
      <div class="main-title">
        <h2><?php echo esc_html($event_title);?></h2>
      </div>
      <div class="row">
        <?php  
         $args = array(
          'post_type' => 'event',
          'posts_per_page' => 4,
          'post_status' => 'publish',
          'paged' => 1,
        );
        $eventloop = new WP_Query($args);
        if ( $eventloop->have_posts() ) :
          while ($eventloop->have_posts()) : $eventloop->the_post(); 
              $saved = get_post_meta( get_the_ID(), '_event', true ); // Get the saved values
              $defaults = _event_metabox_defaults(); // Get the default values
              $details = wp_parse_args( $saved, $defaults ); // Merge the two in case any fields don't exist in the saved data
              $start_date = $details['start_date'];
              $end_date = $details['end_date'];
            ?>

            <div class="col-lg-6">
              <div class="media md-media">
                <a href="<?php the_permalink();?>" class="img-holder">
                  <?php the_post_thumbnail('ngo-charity-events-image');?>
                </a>
                <div class="media-body">
                  <span class="tag-date"><?php echo esc_html(get_post_time('j F'));?></span>
                  <h4><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>
                  <div class="time-address">
                    <span class="time"><span class="fa fa-calendar" aria-hidden="true"></span><?php echo esc_html(date("j F,Y", strtotime($details['start_date'])));?> - <?php echo esc_html(date("j F,Y", strtotime($details['end_date'])));?></span>
                    <span class="time"><span class="fa fa-clock-o" aria-hidden="true"></span><?php echo esc_html($details['start_time']);?> - <?php echo esc_html($details['end_time']);?></span>
                    <span class="address"><span class="fa fa-map-marker" aria-hidden="true"></span> <?php echo esc_html($details['address']);?></span>
                  </div>
                  <?php the_excerpt();?>
                </div>
              </div>
            </div>
          <?php endwhile;
          wp_reset_postdata();
        endif;
        ?>
      </div>
    </div>
  </section>
  <?php endif;?>