<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Social_Charity
 */

?>

<div class="detail-block mgb-lg">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<?php if(has_post_thumbnail()): ?>
			<div class="img">
				<?php 
				the_post_thumbnail();
				?>
			</div>
		<?php endif;?>
		<div class="date"><span class="fa fa-calendar" aria-hidden="true"></span><?php echo esc_html(get_post_time('j F, Y'));?></div>
		<h3 class="title"><?php the_title();?></h3>
		<?php the_content();?>
	</article>
</div>

<div class="related-causes related-items mgb-lg">
	<h3 class="mgb-md">Related Causes</h3>
	<div class="row">
		<div class="col-sm-6">
			<div class="c-card">
				<a href="#" class="img-holder">
					<img src="images/c.jpg" alt="">
				</a>
				<div class="card-body">
					<div class="progress">
						<div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100">80%</div>
					</div>
					<h4><a href="#">Clean Water For Children</a></h4>
					<div class="raised-goal">
						<span class="raised">Raised: $1850</span>
						<span class="goal">Goal: $2500</span>
					</div>
					<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pulvinar, ligula quis interdum aliquam, leo velit imperdiet</p>
					<a href="#" class="btn btn-md btn-bordered">Donate Now</a>
				</div>
			</div>
		</div>
		<div class="col-sm-6">
			<div class="c-card">
				<a href="#" class="img-holder">
					<img src="images/c1.jpg" alt="">
				</a>
				<div class="card-body">
					<div class="progress">
						<div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">20%</div>
					</div>
					<h4><a href="#">Good Education</a></h4>
					<div class="raised-goal">
						<span class="raised">Raised: $1850</span>
						<span class="goal">Goal: $2500</span>
					</div>
					<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pulvinar, ligula quis interdum aliquam, leo velit imperdiet</p>
					<a href="#" class="btn btn-md btn-bordered">Donate Now</a>
				</div>
			</div>
		</div>
		<div class="col-sm-6">
			<div class="c-card">
				<a href="#" class="img-holder">
					<img src="images/c2.jpg" alt="">
				</a>
				<div class="card-body">
					<div class="progress">
						<div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" style="width: 40%" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100">40%</div>
					</div>
					<h4><a href="#">New books for children</a></h4>
					<div class="raised-goal">
						<span class="raised">Raised: $1850</span>
						<span class="goal">Goal: $2500</span>
					</div>
					<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pulvinar, ligula quis interdum aliquam, leo velit imperdiet</p>
					<a href="#" class="btn btn-md btn-bordered">Donate Now</a>
				</div>
			</div>
		</div>
	</div>
</div>