<?php
/**
 * Register `Event` post type
 */
function event_post_type() {
	
	// event Labels
	$event_labels = array(
		'name' => __("Event", "ngo-charity-pro"),
		'singular_name' => __("Event", "ngo-charity-pro"),
		'menu_name' => 'Events',
		'add_new' => __("Add New", "ngo-charity-pro"),
		'add_new_item' => __("Add New event",'ngo-charity-pro'),
		'edit_item' => __("Edit event",'ngo-charity-pro'),
		'new_item' => __("New event",'ngo-charity-pro'),
		'view_item' => __("View event",'ngo-charity-pro'),
		'search_items' => __("Search events",'ngo-charity-pro'),
		'not_found' =>  __("No event Found",'ngo-charity-pro'),
		'not_found_in_trash' => __("No event Found in Trash",'ngo-charity-pro'),
		'parent_item_colon' => '',
	);

	// event Arguments
	$event_args = array(
		'labels' => $event_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 8,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-media-text',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('event_categories','post_tag')
	);
	
	// Register post type
	register_post_type( 'event' , $event_args );
}

add_action( 'init', 'event_post_type');


function event_taxonomy() {  
    register_taxonomy(  
        'event_categories', 
        'event',        //post type name
        array(  
            'hierarchical' => true,  
            'label' => 'Event Categories',
            'query_var' => true
        )  
    );  
}  

add_action( 'init', 'event_taxonomy');


// event Meta Box
require get_template_directory(). '/inc/metabox/event.php';