<?php
/**
 * About configuration
 *
 * @package Ngo_Charity
 */

$config = array(
	'menu_name' => esc_html__( 'Ngo Charity Pro Setup', 'ngo-charity-pro' ),
	'page_name' => esc_html__( 'Ngo Charity Pro Setup', 'ngo-charity-pro' ),

	/* translators: theme version */
	'welcome_title' => sprintf( esc_html__( 'Welcome to %s - ', 'ngo-charity-pro' ), 'Ngo Charity Pro' ),

	/* translators: 1: theme name */
	'welcome_content' => sprintf( esc_html__( 'We hope this page will help you to setup %1$s with few clicks. We believe you will find it easy to use and perfect for your website development.', 'ngo-charity-pro' ), 'Ngo Charity Pro' ),

	// Quick links.
	'quick_links' => array(
		'theme_url' => array(
			'text' => esc_html__( 'Theme Details','ngo-charity-pro' ),
			'url'  => 'https://786themes.com/downloads/ngocharitypro/',
		),
		'demo_url' => array(
			'text' => esc_html__( 'View Demo','ngo-charity-pro' ),
			'url'  => 'https://786themes.com/demo/ngocharitypro/',
		),
		'documentation_url' => array(
			'text'   => esc_html__( 'Documentation','ngo-charity-pro' ),
			'url'    => 'https://786themes.com/ngocharitypro.pdf',
		),
		'upgrade_url' => array(
			'text'   => esc_html__( 'Upgrade to Pro','ngo-charity-pro' ),
			'url'    => 'https://786themes.com/downloads/ngocharitypro',
			'button' => 'primary'
		),
	),

	// Tabs.
	'tabs' => array(
		'getting_started'     => esc_html__( 'Getting Started', 'ngo-charity-pro' ),
		'recommended_actions' => esc_html__( 'Recommended Actions', 'ngo-charity-pro' ),
		'support'             => esc_html__( 'Support', 'ngo-charity-pro' ),
	),

	// Getting started.
	'getting_started' => array(
		array(
			'title'               => esc_html__( 'Theme Documentation', 'ngo-charity-pro' ),
			'text'                => esc_html__( 'Find step by step instructions to setup theme easily.', 'ngo-charity-pro' ),
			'button_label'        => esc_html__( 'View documentation', 'ngo-charity-pro' ),
			'button_link'         => 'https://786themes.com/downloads/ngocharitypro',
			'is_button'           => true,
			'recommended_actions' => false,
			'is_new_tab'          => true,
		),
		array(
			'title'               => esc_html__( 'Recommended Actions', 'ngo-charity-pro' ),
			'text'                => esc_html__( 'We recommend few steps to take so that you can get complete site like shown in demo.', 'ngo-charity-pro' ),
			'button_label'        => esc_html__( 'Check recommended actions', 'ngo-charity-pro' ),
			'button_link'         => esc_url( admin_url( 'themes.php?page=ngo_charity-about&tab=recommended_actions' ) ),
			'is_button'           => true,
			'recommended_actions' => false,
			'is_new_tab'          => false,
		),
		array(
			'title'               => esc_html__( 'Customize Everything', 'ngo-charity-pro' ),
			'text'                => esc_html__( 'Start customizing every aspect of the website with customizer.', 'ngo-charity-pro' ),
			'button_label'        => esc_html__( 'Go to Customizer', 'ngo-charity-pro' ),
			'button_link'         => esc_url( wp_customize_url() ),
			'is_button'           => true,
			'recommended_actions' => false,
			'is_new_tab'          => false,
		),
	),

	// Recommended actions.
	'recommended_actions' => array(
		'content' => array(
			'front-page' => array(
				'title'       => esc_html__( 'Setting Static Front Page','ngo-charity-pro' ),
				'description' => esc_html__( 'Create a new page to display on front page ( Ex: Home ) and assign "Home" template. Select A static page then Front page and Posts page to display front page specific sections. Note: Static page will be set automatically when you import demo content.', 'ngo-charity-pro' ),
				'id'          => 'front-page',
				'check'       => ( 'page' === get_option( 'show_on_front' ) ) ? true : false,
				'help'        => '<a href="' . esc_url( wp_customize_url() ) . '?autofocus[section]=static_front_page" class="button button-secondary">' . esc_html__( 'Static Front Page', 'ngo-charity-pro' ) . '</a>',
			),
			'contact-form-7' => array(
				'title'       => esc_html__( 'Contact Form 7', 'ngo-charity-pro' ),
				'description' => esc_html__( 'Please install the Contact Form 7 plugin Before Importing Demo.', 'ngo-charity-pro' ),
				'check'       => class_exists( 'OCDI_Plugin' ),
				'plugin_slug' => 'contact-form-7',
				'id'          => 'contact-form-7',
			),
			'newsletter' => array(
				'title'       => esc_html__( 'NewsLetter Plugin', 'ngo-charity-pro' ),
				'description' => esc_html__( 'Please install the Newsletter Plugin Before Importing Demo.', 'ngo-charity-pro' ),
				'check'       => class_exists( 'OCDI_Plugin' ),
				'plugin_slug' => 'newsletter',
				'id'          => 'newsletter',
			),

			'give' => array(
				'title'       => esc_html__( 'Give', 'ngo-charity-pro' ),
				'description' => esc_html__( 'Please install the GiveDonation Plugin and Fundraising Platform) plugin to import the demo content. After activation go to Appearance >> Import Demo Data and import it.', 'ngo-charity-pro' ),
				'check'       => class_exists( 'OCDI_Plugin' ),
				'plugin_slug' => 'give',
				'id'          => 'give',
			),
			'one-click-demo-import' => array(
				'title'       => esc_html__( 'One Click Demo Import', 'ngo-charity-pro' ),
				'description' => esc_html__( 'Please install the One Click Demo Import plugin to import the demo content. After activation go to Appearance >> Import Demo Data and import it.', 'ngo-charity-pro' ),
				'check'       => class_exists( 'OCDI_Plugin' ),
				'plugin_slug' => 'one-click-demo-import',
				'id'          => 'one-click-demo-import',
			),

		),
	),

	// Support.
	'support_content' => array(
		'first' => array(
			'title'        => esc_html__( 'Contact Support', 'ngo-charity-pro' ),
			'icon'         => 'dashicons dashicons-sos',
			'text'         => esc_html__( 'If you have any problem, feel free to create ticket on our dedicated Support forum.', 'ngo-charity-pro' ),
			'button_label' => esc_html__( 'Contact Support', 'ngo-charity-pro' ),
			'button_link'  => esc_url( 'https://786themes.com/downloads/ngocharitypro' ),
			'is_button'    => true,
			'is_new_tab'   => true,
		),
		'second' => array(
			'title'        => esc_html__( 'Theme Documentation', 'ngo-charity-pro' ),
			'icon'         => 'dashicons dashicons-book-alt',
			'text'         => esc_html__( 'Kindly check our theme documentation for detailed information and video instructions.', 'ngo-charity-pro' ),
			'button_label' => esc_html__( 'View Documentation', 'ngo-charity-pro' ),
			'button_link'  => '#',
			'is_button'    => true,
			'is_new_tab'   => true,
		),
		'third' => array(
			'title'        => esc_html__( 'Customization Request', 'ngo-charity-pro' ),
			'icon'         => 'dashicons dashicons-admin-tools',
			'text'         => esc_html__( 'This is 100% free theme and has premium version.Either Upgrade to Pro or  Feel free to contact us any time if you need any customization service.', 'ngo-charity-pro' ),
			'button_label' => esc_html__( 'Upgrade to Pro', 'ngo-charity-pro' ),
			'button_link'  => 'https://786themes.com/downloads/ngocharitypro',
			'is_button'    => true,
			'is_new_tab'   => true,
		),
	),


);
Ngo_Charity_About::init( apply_filters( 'ngo_charity_about_filter', $config ) );