<?php
/**
 * Register `Service` post type
 */
function service_post_type() {
	
	// Service Labels
	$service_labels = array(
		'name' => __("Service", "social-charity-pro"),
		'singular_name' => __("Service", "social-charity-pro"),
		'menu_name' => 'Services',
		'add_new' => __("Add New", "social-charity-pro"),
		'add_new_item' => __("Add New Service",'social-charity-pro'),
		'edit_item' => __("Edit Service",'social-charity-pro'),
		'new_item' => __("New Service",'social-charity-pro'),
		'view_item' => __("View Service",'social-charity-pro'),
		'search_items' => __("Search Services",'social-charity-pro'),
		'not_found' =>  __("No Service Found",'social-charity-pro'),
		'not_found_in_trash' => __("No Service Found in Trash",'social-charity-pro'),
		'parent_item_colon' => '',
	);

	// Service Arguments
	$service_args = array(
		'labels' => $service_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 8,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-admin-page',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('service_categories','post_tag')
	);
	
	// Register post type
	register_post_type( 'service' , $service_args );
}

add_action( 'init', 'service_post_type');


function service_taxonomy() {  
	register_taxonomy(  
		'service_categories', 
        'service',        //post type name
        array(  
        	'hierarchical' => true,  
        	'label' => 'Service Categories',
        	'query_var' => true
        )  
    );  
}  

add_action( 'init', 'service_taxonomy');

/*
* Load metabox admin styles
*/
function load_metabox_admin_styles(){
	wp_enqueue_style( 'jquery-ui', get_template_directory_uri().'/assets/metabox/jquery.ui.css' ); 
	wp_enqueue_style( 'meta-box', get_template_directory_uri().'/assets/metabox/meta-box.css' );
	wp_enqueue_script('jquery-ui-datepicker');
	wp_enqueue_script( 'meta-box', get_template_directory_uri().'/assets/metabox/meta-box.js',array('jquery'),'1.0.0',true );
}

add_action( 'admin_enqueue_scripts','load_metabox_admin_styles');


// Service Meta Box
require get_template_directory(). '/inc/metabox/service.php';
