<?php
/**
 * Register `Testimonials` post type
 */
function testimonial_post_type() {
	
	// Testimonials Labels
	$testimonial_labels = array(
		'name' => __("Testimonials", "social-charity-pro"),
		'singular_name' => __("Testimonial", "social-charity-pro"),
		'menu_name' => 'Testimonial',
		'add_new' => __("Add New", "social-charity-pro"),
		'add_new_item' => __("Add New testimonial",'social-charity-pro'),
		'edit_item' => __("Edit testimonial",'social-charity-pro'),
		'new_item' => __("New testimonial",'social-charity-pro'),
		'view_item' => __("View testimonial",'social-charity-pro'),
		'search_items' => __("Search testimonials",'social-charity-pro'),
		'not_found' =>  __("No Testimonial Found",'social-charity-pro'),
		'not_found_in_trash' => __("No Testimonial Found in Trash",'social-charity-pro'),
		'parent_item_colon' => '',
	);

	// Testimonials Arguments
	$testimonial_args = array(
		'labels' => $testimonial_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 9,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-format-quote',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('testimonials_categories','post_tag'),
	);
	
	// Register post type
	register_post_type( 'testimonial' , $testimonial_args );
}

add_action( 'init', 'testimonial_post_type');


function testimonial_taxonomy() {  
    register_taxonomy(  
        'testimonial_categories', 
        'testimonial',        //post type name
        array(  
            'hierarchical' => true,  
            'label' => 'Testimonial Categories',
            'query_var' => true
        )  
    );  
}  

add_action( 'init', 'testimonial_taxonomy');

// event Meta Box
require get_template_directory(). '/inc/metabox/testimonial.php';
