<?php if(get_theme_mod('social_charity_gallery_enable')):
  $gallery_title = get_theme_mod( 'social_charity_gallery_text', __('Our Gallery','social-charity-pro') )
  ?>
  <section class="gallery mgb-lg">
    <div class="container">
      <div class="main-title">
        <h2><?php echo esc_html($gallery_title);?></h2>
      </div>
      <div class="portfolioFilter">

        <a href="#" data-filter="*" class="current"><?php esc_html_e( 'All', 'social-charity-pro' );?></a>
        <?php
        $terms = get_terms( 'gallery_categories' );
        if ( $terms && !is_wp_error( $terms ) ) :
          foreach ( $terms as $term ): ?>
            <a href="#" data-filter=".<?php echo esc_attr($term->slug);?>"><?php echo esc_html($term->name);?></a>
            <?php 
          endforeach;
        endif; 
        ?>
      </div>
      <div class="portfolioContainer row">
        <?php 
        $custom_terms = get_terms('gallery_categories');
        foreach($custom_terms as $custom_term) :
          wp_reset_query();
          $args = array('post_type' => 'gallery',
            'tax_query' => array(
              array(
                'taxonomy' => 'gallery_categories',
                'field' => 'slug',
                'terms' => $custom_term->slug,
              ),
            ),
            'posts_per_page' =>'9'
          );
          $loop = new WP_Query($args);
          if($loop->have_posts()) :
            while($loop->have_posts()) : $loop->the_post();
              $image_url = get_the_post_thumbnail_url( get_the_ID(),'social-charity-gallery-image' );
              ?>
              <div class="col-lg-3 col-sm-6 <?php echo esc_attr($custom_term->slug);?>">
                <a href="<?php echo esc_url($image_url);?>" data-lightbox="image-2" class="img-holder"><img src="<?php echo esc_url($image_url);?>" alt="<?php echo  esc_attr($custom_term->name);?>"></a>
              </div>
              <?php 
            endwhile;
          endif;
        endforeach
        ?>
      </div>
    </div>
  </section>
  <?php endif;?>